_satellite.pushAsyncScript(function(event, target, $variables){
  function buildCriteoMain(){

	var gscript = document.createElement('script');
	gscript.type = "text/javascript";
	gscript.src = "//static.criteo.net/js/ld/ld.js";
	gscript.async = "true";
	document.getElementsByTagName('body')[0].appendChild(gscript);
	
}

if(dataLayer.pageName == "")
{

	buildCriteoMain();
	
	window.criteo_q = window.criteo_q || [];
	window.criteo_q.push(
	{ event: "setAccount", account: 34462 },
	{ event: "setSiteType", type: "d" },
	{ event: "viewHome" }
	);
	
}
else if(dataLayer.pageName == "/premium/" || new RegExp("/premium/subscriptions").test(dataLayer.pageName) || _satellite.getVar('TMG DL premiumContent') == "true" || (new RegExp(/\/secure\/payment/).test(window.location.pathname) && !(new RegExp(/\/payment\/confirmation/).test(window.location.href))))
{

	buildCriteoMain();
	
	window.criteo_q = window.criteo_q || [];
	window.criteo_q.push(
	{ event: "setAccount", account: 34462 },
	{ event: "setSiteType", type: "d" },
	{ event: "viewBasket", item: [
	{ id: "registration", price: 1, quantity: 1 }
	]});

}
else if(new RegExp(/\/payment\/confirmation/).test(window.location.href))
{

	buildCriteoMain();
	
	window.criteo_q = window.criteo_q || [];
	window.criteo_q.push(
	{ event: "setAccount", account: 34462 },
	{ event: "setSiteType", type: "d" },
	{ event: "trackTransaction" , id: dataLayer.subscription.productID, item: [
	{ id: "registration-basic", price: 1, quantity: 1 }
	]});

}
});
